Subject: Re: [net-next v5 5/6] ARM: mxs_defconfig: Update mxs_defconfig to 6.15-rc1

From: Lukasz Majewski <[email-masked]>
Date: Thu, 17 Apr 2025 09:33:38 +0200

Hi Stefan,

> Hi Lukasz,
> 
> Am 14.04.25 um 16:01 schrieb Lukasz Majewski:
> > This file is the updated version of mxs_defconfig for the v6.15-rc1
> > linux-next.  
> thanks for sending this as a separate patch. Unfortunately it's not
> that simple by replacing the existing mxs_defconfig. We need to
> double-check all changes to settings, which was enabled before. This
> should also include a short note for every setting in the commit log,
> otherwise every reviewer has to do this job. I'll help you here by
> adding comments ...
> >
> > Signed-off-by: Lukasz Majewski <[email-masked]>
> > ---
> >
> > Changes for v5:
> > - New patch
> > ---
> >   arch/arm/configs/mxs_defconfig | 11 -----------
> >   1 file changed, 11 deletions(-)
> >
> > diff --git a/arch/arm/configs/mxs_defconfig
> > b/arch/arm/configs/mxs_defconfig index c76d66135abb..91723fdd3c04
> > 100644 --- a/arch/arm/configs/mxs_defconfig
> > +++ b/arch/arm/configs/mxs_defconfig
> > @@ -32,9 +32,6 @@ CONFIG_INET=y
> >   CONFIG_IP_PNP=y
> >   CONFIG_IP_PNP_DHCP=y
> >   CONFIG_SYN_COOKIES=y
> > -# CONFIG_INET_XFRM_MODE_TRANSPORT is not set
> > -# CONFIG_INET_XFRM_MODE_TUNNEL is not set
> > -# CONFIG_INET_XFRM_MODE_BEET is not set
> >   # CONFIG_INET_DIAG is not set
> >   # CONFIG_IPV6 is not set
> >   CONFIG_CAN=m
> > @@ -45,7 +42,6 @@ CONFIG_MTD=y
> >   CONFIG_MTD_CMDLINE_PARTS=y
> >   CONFIG_MTD_BLOCK=y
> >   CONFIG_MTD_DATAFLASH=y
> > -CONFIG_MTD_M25P80=y  
> This is safe because it has been replaced MTD_SPI_NOR, which is still 
> enabled.
> >   CONFIG_MTD_SST25L=y
> >   CONFIG_MTD_RAW_NAND=y
> >   CONFIG_MTD_NAND_GPMI_NAND=y
> > @@ -60,7 +56,6 @@ CONFIG_ENC28J60=y
> >   CONFIG_ICPLUS_PHY=y
> >   CONFIG_MICREL_PHY=y
> >   CONFIG_REALTEK_PHY=y
> > -CONFIG_SMSC_PHY=y  
> This is okay, because it's enabled implicit by USB_NET_SMSC95XX.
> >   CONFIG_CAN_FLEXCAN=m
> >   CONFIG_USB_USBNET=y
> >   CONFIG_USB_NET_SMSC95XX=y
> > @@ -77,13 +72,11 @@ CONFIG_SERIAL_AMBA_PL011=y
> >   CONFIG_SERIAL_AMBA_PL011_CONSOLE=y
> >   CONFIG_SERIAL_MXS_AUART=y
> >   # CONFIG_HW_RANDOM is not set
> > -# CONFIG_I2C_COMPAT is not set
> >   CONFIG_I2C_CHARDEV=y
> >   CONFIG_I2C_MXS=y
> >   CONFIG_SPI=y
> >   CONFIG_SPI_GPIO=m
> >   CONFIG_SPI_MXS=y
> > -CONFIG_GPIO_SYSFS=y  
> This also okay, because it has been deprecated by moving to EXPERT
> and its replacement GPIO_CDEV is enabled by default.
> >   # CONFIG_HWMON is not set
> >   CONFIG_WATCHDOG=y
> >   CONFIG_STMP3XXX_RTC_WATCHDOG=y
> > @@ -138,10 +131,6 @@ CONFIG_PWM_MXS=y
> >   CONFIG_NVMEM_MXS_OCOTP=y
> >   CONFIG_EXT4_FS=y
> >   # CONFIG_DNOTIFY is not set
> > -CONFIG_NETFS_SUPPORT=m
> > -CONFIG_FSCACHE=y
> > -CONFIG_FSCACHE_STATS=y
> > -CONFIG_CACHEFILES=m  
> This is unintended, even it's not your fault Lukasz. NETFS_SUPPORT
> isn't user select-able anymore, so it's dropped. AFAIU this comes
> from NFS support, so i think we need to enable CONFIG_NFS_FSCACHE
> here. Otherwise this caching feature get lost. Since this is a
> bugfix, this should be separate patch before the syncronization.
> 
> @Shawn @Fabio what's your opinion?
> >   CONFIG_VFAT_FS=y
> >   CONFIG_TMPFS=y
> >   CONFIG_TMPFS_POSIX_ACL=y  
> 

Stefan, I will add your comments in next version of this patch.
Moreover, I'm going to introduce new patch with the NFS_FSCACHE enabled.

Best regards,

Lukasz Majewski

--

DENX Software Engineering GmbH,      Managing Director: Erika Unter
HRB 165235 Munich, Office: Kirchenstr.5, D-82194 Groebenzell, Germany
Phone: (+49)-8142-66989-59 Fax: (+49)-8142-66989-80 Email: [email-masked]